<?php
  require_once 'app/model/db.class.php';
  require_once 'app/model/rangos.php';

   $obj = new database();

   $grado=$_SESSION['grado'];
   $curso=$_SESSION['curso'];
   $periodo=$_SESSION['periodo'];
   $asignatura=$_SESSION['asignatura'];
   $jornada=$_SESSION['jornada'];

   $notas=explode("/",$_POST['notas']);
   $cantidad=$_POST['n'];
           
    //----------- Recuperamos No de planilla y No de Registro ----------
   
    $obj->conectar(); $obj->consulta("set names 'utf8'");


if ($periodo!=4){

    //---VERIFICAMOS SI EXISTE LA PLANILLA-----

   $verificar="select numero,grado, curso,periodo, asignatura, jornada from boletin
               where grado='".$grado."' and curso='".$curso."' and periodo='".$periodo."' and asignatura='".$asignatura."' and jornada='".$jornada."'";

   $bol = $obj->consulta($verificar);
   $val = $obj->fetch_assoc($bol);
   $registro=$obj->numero_de_filas($bol); // obtenemos el numero de filas

   $sw="false";

   if ($registro==1){
       $sw="true";
       $num=$val['numero'];
   }

  //-------------------------------


    $numeros=$obj->consulta("select anolectivo,noplanilla from parametros");
    $row = $obj->fetch_assoc($numeros);
    $anolectivo= $row['anolectivo'];

    if ($sw=="false")
        $planilla= $row['noplanilla'];
    else
        $planilla= $num;

    //-----Actualizamos los consecutivos -------

    if ( $sw=="false")
         $obj->consulta("update parametros set noplanilla='".($planilla+1)."'");

    //-----------Grabar en la tabla Boletines si no existe -----------

    if ($sw=="false") {

        $verif="select * from boletin ";
        $verif.="where grado='".$grado."' and curso='".$curso."' and periodo='".$periodo."' and asignatura='".$asignatura."' and jornada='".$jornada."'";

        $bol = $obj->consulta($verif);
        $reg=$obj->numero_de_filas($bol); // obtenemos el numero de filas

        if ($reg==0)
            $obj->consulta("insert into boletin (numero,anolectivo,asignatura,periodo,jornada,grado,curso) values ('".$planilla."','".$anolectivo."','".$asignatura."','".$periodo."','".$jornada."','".$grado."','".$curso."')");

    }
    
        $n_secuencial=0;
        for ($x=0;$x<count($notas)-1;$x++){
                
             $info_alumno=explode("*",$notas[$x]);

             $detbol = $obj->consulta("SELECT * from detalleboletin where boletin='".$planilla."' and alumno='".$info_alumno[0]."'");            
             $n=$obj->numero_de_filas($detbol);
             
             if ($n==0){
                 
                 $numeros=$obj->consulta("select noregistro from parametros");
                 $row1 = $obj->fetch_assoc($numeros);

                 $registro=$row1['noregistro'];
                 $obj->consulta("update parametros set noregistro=(noregistro+1)");
                
                 $obj->consulta("INSERT into detalleboletin (secuencial,boletin,alumno) values ('".$registro."','".$planilla."','".$info_alumno[0]."')");
                                  
                 $n_secuencial=$registro;
                 
             }
             else{
                 
                 $row1 = $obj->fetch_assoc($detbol);
                 $n_secuencial=$row1['secuencial'];

                 $obj->consulta("DELETE from indicadores where detalle_boletin='".$row1['secuencial']."'");                

             }
             
             //-----RECORRENOS EL ARREGLO -------
             $p=1;
             $w=1;               
             while ($w<=$cantidad){
                    $obj->consulta("insert into indicadores (detalle_boletin,numero_logro,valor_logro) values ('".$n_secuencial."','".$w."','".$info_alumno[$p++]."')");                  
                    $w++;
             }     
                
             //----- RECOMENDACIONES -------   
                                   
             $w=1; 
             while ($w<=3){
                   
                   if ($info_alumno[$p]!='') // r1
                       $obj->consulta("insert into indicadores (detalle_boletin,numero_logro) values ('".$n_secuencial."','".$info_alumno[$p]."')");                  
                  
                   $w++;
                   $p++;
             }
            
             $nivel='.';
            
             if ($info_alumno[$p]=='D')
                 $nivel='DEFICIENTE';
             if ($info_alumno[$p]=='.b')
                 $nivel='BAJO';
             if ($info_alumno[$p]=='B')
                 $nivel='B&Aacute;SICO';
             if ($info_alumno[$p]=='A')
                 $nivel='ALTO';
             if ($info_alumno[$p]=='S')
                 $nivel='SUPERIOR';                                  
                      
             $obj->consulta("UPDATE detalleboletin set definitiva='".$info_alumno[$p]."',valor_asigna='".$nivel."' WHERE secuencial='".$n_secuencial."' AND alumno='".$info_alumno[0]."'");
             
             $p++;
             
             if ($info_alumno[$p]!='') //--- SI FALLAS ES Null
                 $obj->consulta("UPDATE detalleboletin set fallas=".$info_alumno[$p]." WHERE secuencial='".$n_secuencial."' AND alumno='".$info_alumno[0]."'");
      
             
        } 

}
else{   //---- GRABA INFORME FINAL -----

    for ($x=0;$x<count($notas)-1;$x++){
                
             $info_alumno=explode("*",$notas[$x]);

             $notas_f = $obj->consulta("SELECT * from notas_finales_asign where asignatura='".$asignatura."' and codigo='".$info_alumno[0]."'");            
             $n=$obj->numero_de_filas($notas_f);
             
             if ($n==0)

                 $obj->consulta("INSERT INTO notas_finales_asign(codigo,grado,grupo,asignatura,valor_asigna) VALUES ('".$info_alumno[0]."','".$grado."','".$curso."','".$asignatura."','".$info_alumno[1]."')");                

             else                         
                 $obj->consulta("UPDATE notas_finales_asign SET valor_asigna='".$info_alumno[1]."' WHERE asignatura='".$asignatura."' and codigo='".$info_alumno[0]."'");     
    } 

}


    echo "REGISTROS GRABADOS";

    $obj->disconnect();               

?>
